DigiKam – digital photo management application
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 
Go to file
Michele Calgaro 831c5f62e2
Replace Qt with TQt
6 days ago
admin@59a8bf7c09 Reset submodule main/applications/graphics/digikam/admin to latest HEAD 1 week ago
digikam Replace Qt with TQt 6 days ago
doc Use new TQ_METHOD, TQ_SIGNAL, TQ_SLOT defines 2 months ago
po Translated using Weblate (Russian) 2 months ago
.gitmodules Remove cmake submodule since it has now been replaced by cmake-trinity dependency. 3 years ago
AUTHORS Added developer-abandoned KDE3 version of Digikam 14 years ago
CMakeL10n.txt Raise the minimum required version of CMake to 3.5. 4 months ago
COPYING Added developer-abandoned KDE3 version of Digikam 14 years ago
ChangeLog Fix unintended rename of Checklist 11 years ago
HACKING Replace Qt with TQt 6 days ago
INSTALL Added developer-abandoned KDE3 version of Digikam 14 years ago
Mainpage.dox Added developer-abandoned KDE3 version of Digikam 14 years ago
Makefile.am Added developer-abandoned KDE3 version of Digikam 14 years ago
Makefile.am.in Added developer-abandoned KDE3 version of Digikam 14 years ago
Makefile.cvs Added developer-abandoned KDE3 version of Digikam 14 years ago
NEWS Added developer-abandoned KDE3 version of Digikam 14 years ago
README qt -> tqt conversion: 5 years ago
RELEASE.rev Added developer-abandoned KDE3 version of Digikam 14 years ago
TODO Added developer-abandoned KDE3 version of Digikam 14 years ago
acinclude.m4 Replace Qt with TQt 6 days ago
aclocal.m4 Added developer-abandoned KDE3 version of Digikam 14 years ago
config.h.in Added developer-abandoned KDE3 version of Digikam 14 years ago
configure.files Added developer-abandoned KDE3 version of Digikam 14 years ago
configure.in Replace Qt with TQt 6 days ago
configure.in.bot Added developer-abandoned KDE3 version of Digikam 14 years ago
configure.in.in Fix package name for api documentation 10 years ago
subdirs Added developer-abandoned KDE3 version of Digikam 14 years ago

README

DIGIKAM - THE PHOTO MANAGEMENT FOR THE MASSES

-- ABOUT -------------------------------------------------------------

 digiKam is an easy to use and powerful digital photo management
 application, which makes importing, organizing and manipulating
 digital photos a "snap".  An easy to use interface is provided
 to connect to your digital camera, preview the images and download
 and/or delete them.

 The digiKam built-in image editor makes the common photo correction
 a simple task. The image editor is extensible via plugins and, 
 since the digikamimageplugins project has been merged to digiKam core
 since release 0.9.2, all useful image editor plugins are available
 in the base installation.

 digiKam can also make use of the KIPI image handling plugins to
 extend its capabilities even further for photo manipulations,
 import and export, etc. The kipi-plugins package contains many
 very useful extentions.

 digiKam is based in part on the work of the Independent JPEG Group.


-- AUTHORS ------------------------------------------------------------

See AUTHORS file for details.


-- RELATED URLS -------------------------------------------------------

digiKam      : http://www.digikam.org
kipi-plugins : http://www.kipi-plugins.org

-- CONTACT ------------------------------------------------------------

If you have questions, comments, suggestions to make do email at :

digikam-users@kde.org

If you want contribute to digiKam developments do email at :

digikam-devel@kde.org

IRC channel from irc.freenode.org server: #digikam

-- BUG REPORTS --------------------------------------------------------

IMPORTANT : the bug reports and wishlist entries are hosted by the KDE bug report
system which can be reached from the standard KDE help menu of digiKam.
A mail will automaticly be sent to the digikam development mailing list.
There is no need to contact directly the digikam mailing list for a bug report 
or a devel wish.

The current bugs and devel wishes reported to the bugilla servers can be seen
at these urls :

* digiKam (KDE bugzilla):

http://bugs.kde.org/buglist.cgi?product=digikam&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED

* Image Editor plugins (KDE bugzilla):

http://bugs.kde.org/buglist.cgi?product=digikamimageplugins&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED

* Showfoto (KDE bugzilla):

http://bugs.kde.org/buglist.cgi?product=showfoto&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED

* Kipi-plugins (KDE bugzilla):

http://bugs.kde.org/buglist.cgi?product=kipiplugins&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED

Extra Bugzilla servers for shared libs used by digiKam :

* GPhoto2 library (sourceforge bugzilla):

http://gphoto.org/bugs

* Exiv2 library (robotbattle bugzilla):

http://dev.robotbattle.com/bugs/main_page.php


-- DEPENDENCIES -------------------------------------------------------

AutoConf   >= 2.5.x                        http://www.gnu.org/software/autoconf
AutoMake   >= 1.7.x                        http://www.gnu.org/software/automake
libtqt      >= 3.3.x                        http://www.qtsoftware.com
libkde     >= 3.4.x (>=3.5.x recommended)  http://www.kde.org
libgphoto2 >= 2.x.x (>=2.4.x recommended)  http://www.gphoto.org
libkipi    >= 0.1.5 (>=0.1.6 recommended)  http://www.kipi-plugins.org
libkexiv2  >= 0.1.6 (>=0.1.7 recommended)  http://www.kipi-plugins.org
libkdcraw  >= 0.1.5                        http://www.kipi-plugins.org
liblcms    >= 1.14.x                       http://www.littlecms.com
libtiff    >= 3.6.x (>=3.8.2 recommended)  http://www.remotesensing.org/libtiff
libpng     >= 1.2.x                        http://www.libpng.org/pub/png/libpng.html
libjasper  >= 1.7.x                        http://www.ece.uvic.ca/~mdadams/jasper
libsqlite3 >= 3.5.9 (optional)             http://www.sqlite.org

Note : all library dependencies require development and binary packages installed on your
computer to compile digiKam.


-- INSTALLATION --------------------------------------------------------

In the source directory do :

1) export WANT_AUTOCONF_2_5=1
2) export TDEDIR=KDE_installation_dir_on_your_system
3) if you are installing libkipi in a non-standard location
  let pkg-config know about their paths:
  export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/path/to/installation/lib/pkgconfig
4) make -f Makefile.cvs
5) ./configure
6) make
7) su
8) make install

More specific compilation and installation options can be used with the 'configure' script.
Get more information with the './configure --help' command line.

Note : use the '--enable-debug=full' option with the configure script to provide
all needed information in a bug report.


-- DONATE MONEY --------------------------------------------------------

If you love digiKam, you can help developpers to buy new photo devices to test 
and implemente new features. Thanks in advance for your generous donations.

For more informations, look at this url : http://www.digikam.org/?q=donation